List IntegrationRuns By DestinationId - m3ter Documentation
List IntegrationRuns By DestinationId
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/integrationruns/destinations/{destinationId} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationruns/destinations/{destinationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationruns/destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Status Codes:
Response Schema
Success Response (200)
{
"data": [
{
"id": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"status": "<unknown>",
"destination": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"dtStarted": "2023-11-07T05:31:56Z",
"dtCompleted": "2023-11-07T05:31:56Z",
"destinationId": "<string>",
"error": "<string>",
"url": "<string>",
"externalId": "<string>",
"parentIntegrationRunId": "<string>",
"replayedFromIntegrationRunId": "<string>"
}
],
"nextToken": "<string>"
}
Error Response
{
"message": "<string>"
}
Path Parameters
orgId: UUID of the organization (required)
destinationId: The UUID of the destination (required)
Query Parameters
destination: Destination system
startDate: Retrieve entities started after the specified date.
endDate: Retrieve entities started before the specified date.
pageSize: Number of products to retrieve per page (1 <= x <= 200)
nextToken: nextToken for multi-page retrievals
status: Status of the integration run (WAITING, STARTED, COMPLETE, ERROR, AWAITING_RETRY, AUTH_FAILED, ACCOUNTING_PERIOD_CLOSED, INVOICE_ALREADY_PAID, DISABLED, TIMEOUT_LIMIT_EXCEEDED, RATE_LIMIT_RETRY)
order: Integration runs order (ASC, DESC)
Authorization
- Type:
Authorization (header), required
clientCredentials OAuth2 flow for machine to machine authentication.
authorizationCode flow controls access for human users via the m3ter Console application.